using ProjectManagementSystem.Device.Function;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Device.CasunBox
{
    public class CommandReply : BoxCommandBase
    {
        public byte[] CurrentData { get; set; } 
        public byte Function { get; set; }

        public override byte[] Serialization()
        {
            CurrentData[1] = Function;
            CurrentData[12] = Tools.XOR_Check(CurrentData, 12);

            return CurrentData;
        }
    }
}

